package com.ssj.service.conch.parents.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author sh
 * @className ShareReq
 * @description TODO
 * @date 2020/6/4
 */
public class ShareDataReq extends BaseRequest {

    /**
     * vipId	是	string	学生id
     * type	是	int	1-周报 2-月报 3-中奖分享
     * subject	否	string	科目 type=1时 必传
     * sncode	否	string	奖品兑换码 type=3时使用
     */
    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    private String vipId;
    @ApiModelProperty(name = "year", value = "年", required = false)
    private String year;
    @ApiModelProperty(name = "month", value = "月", required = false)
    private String month;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }
}

